> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Preview Policy

> Get the project's persisted opt-in policy for attaching an isolated database branch to pull-request previews.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/database-branch-policy
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/database-branch-policy:
    get:
      tags:
        - databaseBranches
      summary: Get Preview Policy
      description: >-
        Get the project's persisted opt-in policy for attaching an isolated
        database branch to pull-request previews.
      operationId: databaseBranches.getPreviewPolicy
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
      responses:
        '200':
          description: Preview database branch policy.
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabled:
                    type: boolean
                  sourceEnvironment:
                    type: string
                    pattern: ^[a-z][a-z0-9-]{0,38}$
                  sourceDatabaseId:
                    type:
                      - string
                      - 'null'
                  allowProductionData:
                    type: boolean
                  expiresInDays:
                    type: integer
                  deleteOnPreviewClose:
                    type: boolean
                required:
                  - enabled
                  - sourceEnvironment
                  - sourceDatabaseId
                  - allowProductionData
                  - expiresInDays
                  - deleteOnPreviewClose
        '404':
          description: No such project in this organization.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````